# DataExchange
TKIGES
IGESAppli

# IGESAppli_RegionRestriction Class Reference

defines RegionRestriction, Type <406> Form <2>
in package IGESAppli
Defines regions to set an application's restriction
over a region.

`#include <IGESAppli_RegionRestriction.hxx>`

Inheritance diagram for IGESAppli_RegionRestriction:

[legend]

## Public Member Functions

Standard_EXPORT | IGESAppli_RegionRestriction ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Standard_Integer aViasRest, const Standard_Integer aCompoRest, const Standard_Integer aCktRest)
| This method is used to set the fields of the class RegionRestriction - nbPropVal : Number of property values, always = 3 - aViasRest : Electrical Vias restriction - aCompoRest : Electrical components restriction - aCktRest : Electrical circuitry restriction .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| is always 3
Standard_EXPORT Standard_Integer | ElectricalViasRestriction () const
| returns the Electrical vias restriction is 0, 1 or 2
Standard_EXPORT Standard_Integer | ElectricalComponentRestriction () const
| returns the Electrical components restriction is 0, 1 or 2
Standard_EXPORT Standard_Integer | ElectricalCktRestriction () const
| returns the Electrical circuitry restriction is 0, 1 or 2
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Integer | theElectViasRestrict
Standard_Integer | theElectCompRestrict
Standard_Integer | theElectCktRestrict

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_RegionRestriction::IGESAppli_RegionRestriction | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESAppli_RegionRestriction::ElectricalCktRestriction | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_RegionRestriction::ElectricalComponentRestriction | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_RegionRestriction::ElectricalViasRestriction | ( |  | ) | const

Standard_EXPORT const IGESAppli_RegionRestriction::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_RegionRestriction::Init | ( | const Standard_Integer | nbPropVal,
|  | const Standard_Integer | aViasRest,
|  | const Standard_Integer | aCompoRest,
|  | const Standard_Integer | aCktRest
| ) |

Standard_EXPORT Standard_Integer IGESAppli_RegionRestriction::NbPropertyValues | ( |  | ) | const

## Field Documentation

Standard_Integer IGESAppli_RegionRestriction::theElectCktRestrict `[private]`

Standard_Integer IGESAppli_RegionRestriction::theElectCompRestrict `[private]`

Standard_Integer IGESAppli_RegionRestriction::theElectViasRestrict `[private]`

Standard_Integer IGESAppli_RegionRestriction::theNbPropertyValues `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_RegionRestriction.hxx